## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition
Interface SybaseASEHashPartition

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseASEPartition

All Known Implementing Classes:
  SybaseASEHashPartitionImpl

    public interface SybaseASEHashPartition

extends SybaseASEPartition, SQLObject

A representation of the model object 'Sybase ASE Hash Partition'.

The following features are supported:

- `Columns`
- `Partition Segment Pairs`
- `Partition Num In Segments`

See Also:
  `PartitionPackage.getSybaseASEHashPartition()`

Method Summary
`org.eclipse.emf.common.util.EList` `getColumns()` Returns the value of the 'Columns' reference list.
`PartitionNumInSegments` `getPartitionNumInSegments()` Returns the value of the 'Partition Num In Segments' reference.
`org.eclipse.emf.common.util.EList` `getPartitionSegmentPairs()` Returns the value of the 'Partition Segment Pairs' reference list.
`void` `setPartitionNumInSegments(PartitionNumInSegments value)` Sets the value of the '`Partition Num In Segments`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumns

    org.eclipse.emf.common.util.EList getColumns()

  Returns the value of the 'Columns' reference list. The list contents are of type `Column`.

  If the meaning of the 'Columns' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Columns' reference list.
  See Also:
    `PartitionPackage.getSybaseASEHashPartition_Columns()`

### getPartitionSegmentPairs

    org.eclipse.emf.common.util.EList getPartitionSegmentPairs()

  Returns the value of the 'Partition Segment Pairs' reference list. The list contents are of type `PartitionSegmentPair`.

  If the meaning of the 'Partition Segment Pairs' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Partition Segment Pairs' reference list.
  See Also:
    `PartitionPackage.getSybaseASEHashPartition_PartitionSegmentPairs()`

### getPartitionNumInSegments

    PartitionNumInSegments getPartitionNumInSegments()

  Returns the value of the 'Partition Num In Segments' reference.

  If the meaning of the 'Partition Num In Segments' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Partition Num In Segments' reference.
  See Also:
    `setPartitionNumInSegments(PartitionNumInSegments)`, `PartitionPackage.getSybaseASEHashPartition_PartitionNumInSegments()`

### setPartitionNumInSegments

    void setPartitionNumInSegments(PartitionNumInSegments value)

  Sets the value of the '`Partition Num In Segments`' reference.

  Parameters:
    `value` - the new value of the 'Partition Num In Segments' reference.
  See Also:
    `getPartitionNumInSegments()`